---
# Nullable. The encryption keySource (provider). Possible values (case-insensitive):  Microsoft.Keyvault
extracts:
  - name: "CA10Z1__encryptionManagedDisksKeySource__c"
    value: 
      FIELD:
        path: "CA10Z1__encryptionManagedDisksKeySource__c"
# Text.
  - name: "CA10Z1__publicNetworkAccess__c"
    value: 
      FIELD:
        path: "CA10Z1__publicNetworkAccess__c"
  - name: "CA10Z1__parametersJson__c"
    value:
      FIELD:
        path: "CA10Z1__parametersJson__c"
        returnType: BYTES
  - name: "caJsonFrom__parametersJson__c"
    value:
      JSON_FROM:
        arg:
          EXTRACT: "CA10Z1__parametersJson__c"
        undeterminedIf:
          isInvalid: "DatabricsWorkspace parameters JSON is invalid"

  - name: "caJsonText__parametersJsonCustomVirtualNetworkValue__c"
    value: 
      JSON_QUERY_TEXT:
        arg: 
          EXTRACT: "caJsonFrom__parametersJson__c"
        expression: "customVirtualNetworkId.value"
        undeterminedIf: 
          evaluationError: "The JSON query has failed."
          resultTypeMismatch: "The JSON query did not return a boolean."

  - name: "caJsonText__parametersJsonEnableNoPublicIpValue__c"
    value: 
      JSON_QUERY_BOOLEAN:
        arg: 
          EXTRACT: "caJsonFrom__parametersJson__c"
        expression: "enableNoPublicIp.value"
        undeterminedIf: 
          evaluationError: "The JSON query has failed."
          resultTypeMismatch: "The JSON query did not return a boolean."

# Nullable. Can't have no access, retrieved via Microsoft.Databricks/workspaces
  - name: CA10Z1__privateNetworkSubnetId__c
    value: 
      FIELD:
        path: CA10Z1__privateNetworkSubnetId__c  
# Nullable. Can't have no access, retrieved via Microsoft.Databricks/workspaces   
  - name: CA10Z1__publicNetworkSubnetId__c
    value: 
      FIELD:
        path: CA10Z1__publicNetworkSubnetId__c